Subject: Re : Re: Re : Re: [EDUC] Apprendre l'informatique, oui mais dans quel contexte ?
From: [email-masked]
To: David Chemouil <[email-masked]>
Cc: "mammig.linux" <[email-masked]>, [email-masked]
Date: Wed, 6 Nov 2013 11:38:26 +0100 (CET)
List-Id: <educ.april.org>

Salut David,

> > Tout en ayant comme objectif de former des gens à
> > réfléchir conceptuellement, l'informatique en collège ne doit pas
> > rebuter les élèves. Il faut aussi partir de leurs centres d'intérêts
> > sans démagogie jeuniste, mais aussi sans les faire chier.
> > L'aspect ludique, en collège est primordial.
> 
> comme je le disais, c'est là un sujet de débats, voire de flamewars, 
> sans fin.
> 
> Charlie, tu remarqueras que je n'ai jamais dit qu'il fallait obliger à 
> utiliser un langage produit pour l'enseignement... Je n'ai même cité 
> aucun langage.

Je n'ai pas dit le contraire. J'ai juste rebondi sur ton message
pour ne pas entrer dans un débat stérile sur les langages du message
précédent. Néanmoins, il recommandait javascript.

Je disais juste, sans doute maladroitement que pour les ados, 
il me semblait préférable de s'appuyer sur les communautés.
Et plus d'une fois, il m' a été donné d'observer que javascript était
le langage qui était le plus (sinon le seul) pratiqué chez les rares
qui programment encore.

Je suis bien sûr pour un enseignement de la science informatique dès
le collège.
Je penche pour des options facultatives. J'ai réalisé des interviews
par ordi interposé avec certains de mes élèves qui codent. Tous
m'ont répondu que ce serait bien d'apprendre à utiliser pour tous
des logiciels en techno et des rudiments de programmation, mais
qu'il ne fallait pas imposer des cours d'informatique plus poussés
à tout le monde. Le pire serait de rendre des cours d'informatique aussi chiants
que n'importe quel autre cours.

J'en ai conclu que si l'on souhaitait réellement faire entrer un enseignement
de l'informatique (science de/art de) en collège, il fallait procéder
en deux étapes. Une première étape par des options facultatives avec
des élèves motivés, avant d'en faire une faire une discipline de plus,
obligatoire pour tous. 

Le LSE n'était pratiqué que par des profs du secondaire. Il ne recouvrait
aucune communauté adolescente. Hebdogiciel, par exemple, qui était un
hebdomadaire, avec des dessins à la Charlie Hebdo et essentiellement composé
de lignes de code pour Amstrad, Commodore 64, Atari ST, Amiga, Oric Atmos etc.
était tout de même vendu à 60 000 exemplaires. Et le journal circulait, même
chez les mômes de Saint-Denis. 
Voilà l'exemple débile à ne pas suivre. Imposer un langage coupé des
communautés. L'Educ Nat au temps des options informatiques en lycée l'a fait.

Cela étant dit, je ne retire rien à ton propos que je partage également.

> Donc je résume juste ma position, en précisant d'abord que je parlais 
> d'un enseignement *dédié* d'informatique en collège (4°, 3°) et en lycée 
> (pas en primaire), c-à-d pas de l'informatique "en passant" comme j'en 
> ai eu avec mon prof de maths il y a quelques (hum...) années.

... sur des calculettes programmables où il fallait énoncer un algorithme (par exemple 
du PGCD) puis l'écrire en basic ?
J'ai connu cette époque. Et cela renforce ma conviction qu'il faut également
penser l'enseignement de l'informatique en termes d'interdiscipline (tout
n'est pas obligé de s'apprendre dans un seul cours d'informatique).

Par exemple, l'une des profs de math de mon collège qui travaille en coordination
avec des CM2 m'a raconté un jeu téléphonique où deux enfants se parlent, sans
se voir. L'un doit donner des instructions à l'autre pour dessiner une
figure géométrique. Je lui ai dit, mais c'est aussi un cours d'informatique !
Elle m'a répondu oui.

C'est toutes ces choses qu'il faudrait recenser. 

Quand j'étais étudiant en architecture, on avait des cours sur la théorie
des graphes qu'on appelait "algorithmes" appliqués à des questions
d'urbanisme, de circulation, de tâches critiques sur un chantier.

Je reste persuadé que l'algorithmie est une science qui trouve à s'appliquer
à l'informatique. Mais cela ne concerne pas que l'informatique.  

> 
> (1) L'informatique est une science et une technologie.

Oui, je suis totalement d'accord.

> (2) L'École doit (contribuer à) former des citoyens capables de penser 
> certaines questions, pas uniquement aujourd'hui mais aussi dans trente ans.

Certains savoirs ont des pérennités très longues. Certains remontent
à l'antiquité et sont toujours enseignés. L'école est dans l'une de
ses finalités se sens le lieu où une génération transmet à la suivante
ce qui fait perdurer. C'est la question que pose Derrida dans l'introduction
à la géométrie de Husserl. 
Mais l'école c'est aussi un lieu qui doit s'ouvrir sur la modernité
(à ne pas confondre avec le modernisme).

La technologie est l'une des disciplines de cette modernité.

Le modernisme, c'est la déqualification permanente des savoirs
résumés à des compétences éphémères.

La technologie s'appuie sur toutes les sciences sans être pour autant
autoréférente. Ce qui importe, en collège, à travers si possible 
une approche ludique, c'est d'enseigner des principes, des méthodes,
qui permettent ensuite à tout un chacun d'évoluer au rythme des
évolutions techniques.

Pour autant, nous vivons depuis quelques dizaines d'années (peanuts
au regard de l'histoire de l'humanité) une révolution paradigmatique.
Cela ne veut pas dire que les anciens modèles ont disparu. Mais
d'autres fonctionnent en parallèle, et parfois se croisent avec
les anciens modèles.

Ca c'est la modernité.

Jusqu'à présent nous avons vécu principalement sur le modèle de
la segmentation arborescente - du codex à l'imprimerie, jusqu'aux
éditeurs/traitements de textes. Enseigner l'usage structuré d'un
traitement de textes, d'un MediaWiki, d'un CMS, du basique html,
et même de LaTeX, c'est rester dans le paradigme de l'arborescence.
Il a progrès technique, mais pas de coupure épistémologique.

Les ordinateurs en réseau ont rendu possible la matérialisation
des hypertextes, des moteurs de recherche basés sur des indexeurs plein 
texte où le modèle sémantique de l'arborescence n'est plus efficient.
On entre là dans les approches lexicales des connaissances qui
permettent des corpus occasionnels, des interactions, de l'apprentissage
en réseau, du travail collaboratif.

Si le modèle de l'arborescence remonte à des millénaires, il y a 
tout à parier que ces nouveaux modèles de graphes non hiérarchiques
sont là pour durer longtemps. 
L'école doit se donner les moyens, tout en ne lâchant pas prise sur
le penser, classer sémantique et arborescent, d'apprendre à travailler
sur des modèles non hiérarchiques. 

Par exemple, faire réaliser à des élèves, à partir d'un lexique,
un petit site web par équipe. Ce qui les oblige à dessiner le graphe
des liens (en les rendant tous bidirectionnels pour repérer la notion
qui occupe une position nodale), établir des règles pour le nom des
fichiers et se répartir les tâches.

Et bien d'autres choses encore...

On n'est toujours pas là dans la science informatique, mais dans
ses effets technologiques.

> (3) Apprendre à programmer, tout le monde peut le faire aujourd'hui, sur 
> le site du zéro par exemple. Un enseignement de programmation, c'est 
> apprendre à *bien* programmer (et le "bien" est encore sujet de débats 
> entre scientiques, développeurs, etc. mais on a quelques consensus quand 
> même).

... on entre là dans une autre dimension. Quand l'EPI dit l'informatique
c'est à la fois, une science et une technique, elle devrait dire une science
et un art de.

Le prof qui a appris à coder à pratiquement tous les fondateurs de l'April,
Marc-Ferdinand Detienne, corrigeait les listings sans même avoir besoin
du nom. Il savait qui c'était. Pour lui, c'était comme un ADN. Il développait
même l'hypothèse d'une théorie du genre de la pensée formelle. 

On entre là, dans une complexité, que n'étant pas programmateur, je ne peux
pas maîtriser. On n'est plus seulement dans un cours de math où l'on code
un algorithme mathématique, mais dans une complexité qui tient à la fois
du codage d'un algorithme et du savoir-faire d'un prof de littérature qui
apprend à ses élèves l'art de l'écriture.

> Pour ces raisons, je pense que, pour la programmation, il faut enseigner 
> un langage :
> - qui tire parti de l'état des connaissances scientifiques sur ce qu'est 
> un "bon" langage
> - qui fasse acquérir de bons réflexes de structuration de la pensée (qui 
> pourront alors être -plus ou moins- adaptés à n'importe quel "moins bon" 
> langage)
> - qui ne pose pas de difficultés de mise en œuvre par les élèves (et 
> professeurs)
> - qui ne fasse pas appel à trop de pré-requis et ne repose pas sur la 
> virtuosité ou le concours de quéquette
> - avec une pédagogie qui essaie de mettre en avant, et les concepts, et 
> le ludique (produire un site web dynamique par exemple)

Il faut aussi tenir compte des filières. On dit que les littéraires
préfèrent Lisp ou Cobol...

> Hélas, la position des chercheurs en programmation est difficile à 
> défendre, en informatique, même auprès des collègues d'autres champs de 
> l'informatique. L'effet réseau, les modes, l'accessibilité à tous de la 
> programmation -d'autant plus forts dans le libre d'ailleurs- sont très 
> bien en général, mais ils ont aussi comme effet une dévalorisation des 
> résultats scientifiques et une certaine stagnation (voire recul) de la 
> qualité des langages.

Il faudrait que tu développes. Car c'est ton terrain. Et je sens que c'est
quelque chose qui te tient profondément à coeur. Peut être d'autant plus
difficile à communiquer qu'il faut être membre pour comprendre.

Mais n'hésite pas à développer sur la liste éduc. Tu contribueras ainsi
à nous élever.

> Alors je précise, pour finir, que les chercheurs en programmmation n'ont 
> pas pour objectif l'ennui, l'abscons, le déni de réalité, l'absence de 
> ludique (en fait s'ils sont chercheurs dans ce domaine, c'est 
> précisément pour les raisons inverses !)... et que s'ils poussent dans 
> certaines directions, c'est peut-être qu'ils ont une raison pour ça.

Je ne parle pas des chercheurs en informatique. Je crains davantage 
un effet de bord (comme pour le LSE) de cours d'informatique, quel que
soit le langage d'ailleurs, chiants. Voilà pourquoi j'insiste
sur le côté ludique. 
D'ailleurs l'étymologie de l'école c'est le loisir, l'étude.

Et la société à laquelle j'aspire c'est celle du temps libre, débarrassé
du travail où chacun aura le loisir d'étudier. 
Voilà ce que peut nous apporter la société numérique libre.

Librement,
Amicalement,
Charlie

--
Pour gérer votre abonnement à la liste educ et vos informations personnelles :
http://listes.april.org/wws/info/educ